Asset Schema Custom Fields
6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List custom field assignments for a schema#
GET
/lists/schemas/{schemaId}/custom-fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields" \
-H "Authorization: Bearer $XISUITE_TOKEN"Assign a custom field to a schema#
POST
/lists/schemas/{schemaId}/custom-fieldsTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
custom_field_idPflicht | string | – |
sort_order | number | |
is_required | boolean | |
is_hidden | boolean | |
column_span | number | |
default_value_override | object | – |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"custom_field_id":"…"}'Update a custom field assignment#
PATCH
/lists/schemas/{schemaId}/custom-fields/{assignmentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
assignmentIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
sort_order | number | – |
is_required | boolean | – |
is_hidden | boolean | – |
column_span | number | – |
default_value_override | object | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/{assignmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"sort_order":0,"is_required":true,"is_hidden":true}'Remove a custom field from a schema#
DELETE
/lists/schemas/{schemaId}/custom-fields/{assignmentId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
assignmentIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/{assignmentId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Reorder custom fields in a schema#
PUT
/lists/schemas/{schemaId}/custom-fields/reorderTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
field_ordersPflicht | CustomFieldOrderDto[] | – |
field_orders[].assignment_idPflicht | string | – |
field_orders[].sort_orderPflicht | number | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/reorder" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"field_orders":[]}'Sync (replace all) custom fields for a schema#
PUT
/lists/schemas/{schemaId}/custom-fields/syncTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
schemaIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
custom_field_idsPflicht | string[] | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/sync" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"custom_field_ids":[]}'